# BasicPluginInfo Class Reference

`#include <BasicPluginInfo.h>`

List of all members.

## Public Member Functions

| BasicPluginInfo (std::string name, std::string description)
| BasicPluginInfo (std::string name, std::string description, const unsigned int numDeps, const char *deps[])
| ~BasicPluginInfo ()
| BasicPluginInfo (const BasicPluginInfo &info)
| Copy constructor.
const std::string & | getName () const
const std::string & | getDescription () const
const unsigned int | getNumDeps () const
const std::string | getDependency (const int i) const

## Private Attributes

std::string | name
| Plugin name.
std::string | description
| Plugin description.
unsigned int | numDeps
| The number of dependencies in the array.
char ** | dependencies
| An array of plugin dependencies.

## Friends

std::ostream & | operator<< (std::ostream &, BasicPluginInfo &)

## Constructor & Destructor Documentation

BasicPluginInfo::BasicPluginInfo | ( | std::string | name,
|  | std::string | description
| ) | `[inline]`

BasicPluginInfo::BasicPluginInfo | ( | std::string | name,
|  | std::string | description,
|  | const unsigned int | numDeps,
|  | const char * | deps[]
| ) | `[inline]`

Parameters:

  | name | Plugin name.
  | description | Plugin description.
  | numDeps | Number of dependencies in the array.
  | deps | A constant array of dependency names.

BasicPluginInfo::~BasicPluginInfo | ( |  | ) | `[inline]`

BasicPluginInfo::BasicPluginInfo | ( | const BasicPluginInfo & | info | ) | `[inline]`

| Copy constructor.

## Member Function Documentation

const std::string BasicPluginInfo::getDependency | ( | const int | i | ) | const`[inline]`

const std::string& BasicPluginInfo::getDescription | ( |  | ) | const`[inline]`

const std::string& BasicPluginInfo::getName | ( |  | ) | const`[inline]`

const unsigned int BasicPluginInfo::getNumDeps | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | BasicPluginInfo & |
| ) | `[friend]`

## Member Data Documentation

char** BasicPluginInfo::dependencies `[private]`

| An array of plugin dependencies.

std::string BasicPluginInfo::description `[private]`

| Plugin description.

std::string BasicPluginInfo::name `[private]`

| Plugin name.

unsigned int BasicPluginInfo::numDeps `[private]`

| The number of dependencies in the array.

The documentation for this class was generated from the following file:

- BasicPluginInfo.h